please update pppoe to new upstream version

Bug #705880 reported by Igor A Tarasov on 2011-01-21
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
rp-pppoe (Debian)
New
Unknown
rp-pppoe (Ubuntu)
Wishlist
Unassigned

Bug Description

There are new upstream version 3.10 is published: http://www.roaringpenguin.com/files/download/rp-pppoe-3.10.tar.gz
instead of those 3.8 included in distribution. The new version add new functionality and fix some bugs. Please, consider to update pppoe to new upstream version.

tags: added: upgrade-software-version
tags: removed: 3.10 upsteream
Changed in rp-pppoe (Debian):
status: Unknown → New
Changed in rp-pppoe (Ubuntu):
status: New → Confirmed
importance: Undecided → Wishlist
Whoopie (whoopie79) wrote :

Latest upstream version is 3.11.

I added the release to my testing PPA.

Whoopie (whoopie79) wrote :

Please find attached a new package for rp-pppoe 3.11. Based on the work by Lee (Debian bug report 602861), the package now has a patches directory with split patches.

I have put the following files into the rp-pppoe.tar.gz:
rp-pppoe_3.11-0ubuntu1.dsc
rp-pppoe_3.11-0ubuntu1.debian.tar.gz
rp-pppoe_3.11.orig.tar.gz

What I did more is written in the changelog:
rp-pppoe (3.11-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control: Add Build-Depend on ppp-dev.
  * debian/rules: Specify "--enable-plugin" to get kernel support.
  * debian/patches/08_delegate-ip-addresses.patch: Delegate the
    allocation of IP addresses to pppd (LP: #705872).
  * debian/patches/09_pppoe-intermediate-agent-v0.04.patch:
    Add PPPoE Intermediate Agent support, patch taken from the
    ilc-ppp project.
  * debian/patches/10_remove-ppp-plugin-path.patch: Remove plugin
    path so that pppoe-server uses ppp's plugin directory.

 -- Whoopie <email address hidden> Tue, 05 Feb 2013 11:57:29 +0100

It looks pretty good, but I'm not entirely confident in including such a large patch (re. PPPoE Intermediate Agent support) considering there hasn't been any upstream review yet.

To ease review in the future, could you please provide the changes as a debdiff or a bzr merge proposal instead? Thanks!

Changed in rp-pppoe (Ubuntu):
status: Confirmed → Incomplete
Whoopie (whoopie79) wrote :

@Mathieu: if you prefer, I can remove the "PPPoE Intermediate Agent" patch. But is the rest okay for you?

Stéphane Graber (stgraber) wrote :

Unless you can make a strong case for having this patch in Ubuntu, I think it'd be best not to deviate so much from upstream.

Bryce Harrington (bryce) wrote :

[Unsubscribing sponsors for now; re-subscribe ubuntu-sponsors when the aforementioned issues have been resolved.]

Whoopie (whoopie79) wrote :

Hi,

please find attached a debdiff to update rp-pppoe to version 3.11.

The changes are:
rp-pppoe (3.11-0ubuntu1) utopic; urgency=low

  * New upstream release (LP: #705880).
  * debian/control: Add Build-Depend on ppp-dev.
  * debian/rules: Specify "--enable-plugin" to get kernel
    PPPoE support.
  * debian/patches/08_delegate-ip-addresses.patch: Delegate the
    allocation of IP addresses to pppd (LP: #705872).
  * debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin
    path so that pppoe-server uses ppp's plugin directory.
  * debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to
    get kernel PPPoE support.

 -- Whoopie <email address hidden> Tue, 10 Jun 2014 22:29:59 +0200

Whoopie (whoopie79) on 2014-06-22
Changed in rp-pppoe (Ubuntu):
status: Incomplete → Confirmed
Łukasz Zemczak (sil2100) wrote :

Hello Whoopie! Thank you for your work on bringing in the new upstream version to Ubuntu. I checked the package briefly and found a few issues:

- Even though the original has a lot of lintian errors by itself, I noticed that your package introduced one additional one: dh-clean-k-is-deprecated. You should use dh_prep instead of dh_clean -k in debian/rules.
- Most of the added quilt patches are not documented in the changelog. The best rule is to document every added patch so that a person reading the changelog knows about every difference from the upstream tarball.
- Some of the quilt patches make super sense (like those that get us closer to how it worked in the previous release) but others - more without any documentation - are hard to understand. For instance patches/07_force-hw-address.patch is a rather big patch, so I'm wondering about if it's not changing the new release too much.
- I know that the rp-pppoe doesn't have a nice upstream issue tracking architecture, and it might be hard contributing to it, but maybe you could anyway try submitting all those patches upstream before we introduce this version to Ubuntu? As mentioned before, generally we would prefer not to change the software from the ideas of upstream developers too much without them giving approval.
- Last thing: are you sure you wouldn't prefer to use your real name in the changelog entry? Generally not a blocker, but it's easier from the copyright/authorship perspective.

Thanks again!

Whoopie (whoopie79) wrote :

Thanks for your review:

1. The dh_prep is easy to fix, I can change that.
2. the quilt patches are just the patches which were applied inline before. All the changes were documented in the changelog before.
3. the patch 07_force-hw-address.patch was applied inline before, but is commented out in the series file now.
4. I already tried to get another patch upstream, and I failed. But the changes are already in the current version, I can't see why it's a problem now.
5. no, sorry.

Daniel Holbach (dholbach) wrote :

I'm not quite sure how to use the debdiff you uploaded. Can you either give some instructions or upload the source package somewhere? Thanks.

Whoopie (whoopie79) wrote :
Łukasz Zemczak (sil2100) wrote :

Ok, after getting all the answers I need I think I would be able to upload this new version. I'll modify some smaller things (like the dh_clean -k thing) and try pushing it to the archive. Let me give you a sign once I'm finished.

Whoopie (whoopie79) wrote :

Thank you very much for uploading it to utopic!!!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rp-pppoe - 3.11-0ubuntu1

---------------
rp-pppoe (3.11-0ubuntu1) utopic; urgency=low

  [ Whoopie ]
  * New upstream release (LP: #705880).
  * debian/control: Add Build-Depend on ppp-dev.
  * debian/rules: Specify "--enable-plugin" to get kernel
    PPPoE support.
  * debian/patches/08_delegate-ip-addresses.patch: Delegate the
    allocation of IP addresses to pppd (LP: #705872).
  * debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin
    path so that pppoe-server uses ppp's plugin directory.
  * debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to
    get kernel PPPoE support.

  [ Łukasz 'sil2100' Zemczak ]
  * debian/rules: use dh_prep instead of dh_clean -k
  * debian/copyright: use UTF-8 for the copyright sign
  * debian/control: bump the standards version
 -- Whoopie <email address hidden> Tue, 10 Jun 2014 22:29:59 +0200

Changed in rp-pppoe (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.